List call control applications
Return a list of call control applications.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const callControlApplication of client.callControlApplications.list()) {
console.log(callControlApplication.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.call_control_applications.list()
page = page.data[0]
print(page.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.CallControlApplications.List(context.TODO(), telnyx.CallControlApplicationListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.callcontrolapplications.CallControlApplicationListPage;
import com.telnyx.sdk.models.callcontrolapplications.CallControlApplicationListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
CallControlApplicationListPage page = client.callControlApplications().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.call_control_applications.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->callControlApplications->list(
filter: [
'applicationName' => ['contains' => 'contains'],
'applicationSessionID' => '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
'connectionID' => 'connection_id',
'failed' => false,
'from' => '+12025550142',
'legID' => '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
'name' => 'name',
'occurredAt' => [
'eq' => '2019-03-29T11:10:00Z',
'gt' => '2019-03-29T11:10:00Z',
'gte' => '2019-03-29T11:10:00Z',
'lt' => '2019-03-29T11:10:00Z',
'lte' => '2019-03-29T11:10:00Z',
],
'outboundOutboundVoiceProfileID' => '1293384261075731499',
'product' => 'texml',
'status' => 'init',
'to' => '+12025550142',
'type' => 'webhook',
],
pageNumber: 0,
pageSize: 0,
sort: 'connection_name',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx call-control-applications list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/call_control_applications \
--header 'Authorization: Bearer <token>'{
"data": [
{
"active": false,
"anchorsite_override": "Latency",
"application_name": "call-router",
"created_at": "2018-02-02T22:25:27.521Z",
"dtmf_type": "Inband",
"first_command_timeout": true,
"first_command_timeout_secs": 10,
"id": "1293384261075731499",
"inbound": {
"channel_limit": 10,
"shaken_stir_enabled": true,
"sip_subdomain": "example",
"sip_subdomain_receive_settings": "only_my_connections"
},
"outbound": {
"channel_limit": 10,
"outbound_voice_profile_id": "1293384261075731499"
},
"record_type": "call_control_application",
"updated_at": "2018-02-02T22:25:27.521Z",
"webhook_api_version": "1",
"webhook_event_failover_url": "https://failover.example.com",
"webhook_event_url": "https://example.com",
"webhook_timeout_secs": 25,
"call_cost_in_webhooks": false,
"redact_dtmf_debug_logging": true
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "The required authentication headers were either invalid or not included in the request.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated filter parameter (deepObject style). Originally: filter[application_name][contains], filter[outbound.outbound_voice_profile_id], filter[leg_id], filter[application_session_id], filter[connection_id], filter[product], filter[failed], filter[from], filter[to], filter[name], filter[type], filter[occurred_at][eq/gt/gte/lt/lte], filter[status]
Show child attributes
Show child attributes
Consolidated page parameter (deepObject style). Originally: page[after], page[before], page[limit], page[size], page[number]
Show child attributes
Show child attributes
Specifies the sort order for results. By default sorting direction is ascending. To have the results sorted in descending order add the - prefix.
That is:
-
connection_name: sorts the result by theconnection_namefield in ascending order. -
-connection_name: sorts the result by theconnection_namefield in descending order.
If not given, results are sorted by
created_at in descending order.created_at, connection_name, active "connection_name"
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const callControlApplication of client.callControlApplications.list()) {
console.log(callControlApplication.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.call_control_applications.list()
page = page.data[0]
print(page.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.CallControlApplications.List(context.TODO(), telnyx.CallControlApplicationListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.callcontrolapplications.CallControlApplicationListPage;
import com.telnyx.sdk.models.callcontrolapplications.CallControlApplicationListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
CallControlApplicationListPage page = client.callControlApplications().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.call_control_applications.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->callControlApplications->list(
filter: [
'applicationName' => ['contains' => 'contains'],
'applicationSessionID' => '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
'connectionID' => 'connection_id',
'failed' => false,
'from' => '+12025550142',
'legID' => '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
'name' => 'name',
'occurredAt' => [
'eq' => '2019-03-29T11:10:00Z',
'gt' => '2019-03-29T11:10:00Z',
'gte' => '2019-03-29T11:10:00Z',
'lt' => '2019-03-29T11:10:00Z',
'lte' => '2019-03-29T11:10:00Z',
],
'outboundOutboundVoiceProfileID' => '1293384261075731499',
'product' => 'texml',
'status' => 'init',
'to' => '+12025550142',
'type' => 'webhook',
],
pageNumber: 0,
pageSize: 0,
sort: 'connection_name',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx call-control-applications list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/call_control_applications \
--header 'Authorization: Bearer <token>'{
"data": [
{
"active": false,
"anchorsite_override": "Latency",
"application_name": "call-router",
"created_at": "2018-02-02T22:25:27.521Z",
"dtmf_type": "Inband",
"first_command_timeout": true,
"first_command_timeout_secs": 10,
"id": "1293384261075731499",
"inbound": {
"channel_limit": 10,
"shaken_stir_enabled": true,
"sip_subdomain": "example",
"sip_subdomain_receive_settings": "only_my_connections"
},
"outbound": {
"channel_limit": 10,
"outbound_voice_profile_id": "1293384261075731499"
},
"record_type": "call_control_application",
"updated_at": "2018-02-02T22:25:27.521Z",
"webhook_api_version": "1",
"webhook_event_failover_url": "https://failover.example.com",
"webhook_event_url": "https://example.com",
"webhook_timeout_secs": 25,
"call_cost_in_webhooks": false,
"redact_dtmf_debug_logging": true
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "The required authentication headers were either invalid or not included in the request.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}